package cn.reghao.tnb.content.app.vod.model.po;

import cn.reghao.jutil.jdk.db.BaseObject;
import lombok.Getter;
import lombok.Setter;

/**
 * @author reghao
 * @date 2021-11-23 18:24:30
 */
@Setter
@Getter
public class VideoCategory extends BaseObject<Integer> {
    private int pid;
    private int regionId;
    private String name;
    private String icon;
    private int sort;
    private boolean vip;

    @Override
    public int hashCode() {
        int result = 17;
        result = result * 31 + id.hashCode();
        return result;
    }

    @Override
    public boolean equals(Object other) {
        if (other == this) {
            return true;
        }

        if (other instanceof VideoCategory) {
            VideoCategory o = (VideoCategory) other;
            return o.id.equals(id);
        } else {
            return false;
        }
    }
}
